# puppet-docker ![License badge][license-img]

1. [Overview](#overview)
2. [Description](#description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

Docker is  the company driving  the container  movement and the  only container
platform provider to address every application across the hybrid cloud. Today's
businesses are  under pressure  to digitally transform  but are  constrained by
existing applications  and infrastructure while rationalizing  and increasingly
diverse portfolio of clouds,  datacenters and application architectures. Docker
enables  true   independence  between   applications  and   infrastructure  and
developers and IT ops to unlock their  potential and creates a model for better
collaboration and innovation.

[docker.com](https://docker.com/)

## Description

Puppet module to install, deploy and configure docker.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

or

```bash
puppet module install vpgrp-docker
```

## Usage

```puppet
class { 'docker':
  package => true,
  service => true,
}
```

## Limitations

So far, this is compatible with Debian, RedHat, and other derivatives.

## Development

Please read carefully CONTRIBUTING.md before making a merge request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
