# -*- puppet -*-

exec { 'apt-get update':
  command => 'apt-get update -qq',
  path    => [ '/usr/bin', '/usr/sbin', '/bin', '/sbin' ],
}

class { 'docker':
  package        => true,
  service        => true,
  docker_options => '--ip-masq=false --iptables=false',
  require        => Exec['apt-get update'],
}
# EOF
