# -*- ruby -*-

require 'serverspec'

set :backend, :exec

def lsb_release
  command('lsb_release -c').stdout
end

def old_version?
  lsb_release =~ /squeeze|precise/
end

def docker_package_name
  if old_version?
    'docker-engine'
  else
    'docker-ce'
  end
end

describe 'Packages' do
  describe package(docker_package_name) do
    it { should be_installed }
  end
end

# describe 'Service' do
#   describe service('docker') do
#     it { should be_running }
#   end
# end
# EOF
